Apache JMeter

## org.apache.jorphan.gui
Interface TreeTableModel

All Superinterfaces:
  TableModel

All Known Implementing Classes:
  AbstractTreeTableModel, DefaultTreeTableModel

    public interface TreeTableModel

extends TableModel

This is a basic interface for TreeTableModel that extends TableModel. It's pretty minimal and isn't as full featured at other implementations.

Method Summary
`Object` `getValueAt(Object node, int col)` The method is similar to getValueAt(int,int).
`boolean` `isCellEditable(Object node, int col)` the method is similar to isCellEditable(int,int).
`void` `setValueAt(Object val, Object node, int column)` the method is similar to isCellEditable(int,int).

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, removeTableModelListener, setValueAt`

Method Detail

### getValueAt

    Object getValueAt(Object node,
                      int col)

  The method is similar to getValueAt(int,int). Instead of int, the row is an object.

  Parameters:
    `node` -
    `col` -
  Returns:
    the value at the column

### isCellEditable

    boolean isCellEditable(Object node,
                           int col)

  the method is similar to isCellEditable(int,int). Instead of int, the row is an object.

  Parameters:
    `node` -
    `col` -
  Returns:
    if cell is editable

### setValueAt

    void setValueAt(Object val,
                    Object node,
                    int column)

  the method is similar to isCellEditable(int,int). Instead of int, the row is an object.

  Parameters:
    `val` -
    `node` -
    `column` -

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.